/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Estado;
import com.rjconsultores.ventaboletos.entidad.Pais;

/**
 *
 * @author MCosso
 */
public interface EstadoDAO extends GenericDAO<Estado, Integer> {

    public List<Estado> buscar(String nombestado, Pais  pais);
    
    public List<Estado> buscarNotInEmpresaImposto(Empresa empresa);
    
    public List<Estado> buscarCveEstado(String cveEstado);
    
    public Map<String, Integer> getConfiguracoesFusoVeraoParada(Integer paradaId, Date data);
    
    public Map<String, Integer> getConfiguracoesFusoVeraoPuntoventa(Integer puntoventaId, Date data);
}
